Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface MeasurementUnit

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

    public interface MeasurementUnit

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Measurement Unit'.

The following features are supported:

- `Units`

See Also:
  `GMFGenPackage.getMeasurementUnit()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getUnits()` Returns the value of the 'Units' attribute.
`void` `setUnits(java.lang.String value)` Sets the value of the '`Units`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getUnits

    java.lang.String getUnits()

  Returns the value of the 'Units' attribute. The default value is `"Pixel"`.

  If the meaning of the 'Units' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Units' attribute.
  See Also:
    `setUnits(String)`, `GMFGenPackage.getMeasurementUnit_Units()`
  ** Generated **
  Model:
    default="Pixel"

### setUnits

    void setUnits(java.lang.String value)

  Sets the value of the '`Units`' attribute.

  Parameters:
    `value` - the new value of the 'Units' attribute.
  See Also:
    `getUnits()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.